<div class="wrapper wrapper-content animated fadeInRight">
  <div class="row">
    <div>
      <div class="ibox float-e-margins">
        <div class="ibox-title">
          <div class="fm-row">
            <div class="row">
              <div class="col-sm-4">
                <h3>
                  <strong>Point of interest</strong>
                </h3>
              </div>
              <ng-container *ngIf="aclAdd">
                  <div class="col-sm-8 text-right">
                      <button type="submit" class="btn btn-primary btn-sm blue" [routerLink]="['/admin/administration/destination/add-destination']">Add
                        new record</button>
                    </div>
              </ng-container>
            </div>
          </div>
          <div class="ibox-content">
            <div class="table-responsive custom-table">
              <table aria-describedby="Point of interest" class="table table-striped table-bordered table-responsive zoom">
                <thead>
                  <tr>
                    <th scope="col">Name</th>
                    <th scope="col">Company</th>
                    <th scope="col">X-Coordinate</th>
                    <th scope="col">Y-Coordinate</th>
                    <th scope="col">Favorite</th>
                    <th scope="col">Priority</th>
                    <th scope="col">Status</th>
                    <th scope="col">Actions</th>
                  </tr>
                </thead>
                <tbody>
                  <span *ngIf="searchSubmit">
                    <img alt="loader" class="loader-img" src="assets/img/loader.gif" />
                  </span>
                  <tr *ngFor="let point of poiItems">
                    <td>{{point.name}}</td>
                    <td>{{point.company}} </td>
                    <td>{{point.xcoordinate}}</td>
                    <td>{{point.ycoordinate}}</td>
                    <td>
                      <span *ngIf="point.is_favorite=='1'">
                        Yes
                      </span>
                      <span *ngIf="point.is_favorite=='0'">
                        No
                      </span>
                    </td>
                    <td>
                      <span *ngIf="point.priority=='1'">
                        Yes
                      </span>
                      <span *ngIf="point.priority=='0'">
                        No
                      </span>
                    </td>
                    <td>
                      <span *ngIf="point.status=='1'">
                        Ok
                      </span>
                      <span *ngIf="point.status=='0'">
                        Not Ready
                      </span>
                    </td>
                    <td>
                      <span matTooltip="Open Map">
                        <a (click)="openMap(point.xcoordinate,point.ycoordinate);">
                          <i aria-hidden="true" class="fa fa-map-marker text-navy"></i>
                        </a>&nbsp;&nbsp;&nbsp;
                      </span>
                      <span *ngIf="aclEdit" matTooltip="Edit">
                        <a [routerLink]="['/admin/administration/destination/edit-destination/',point._id]">
                          <i aria-hidden="true" class="fa fa-edit text-navy"></i>
                        </a>&nbsp;&nbsp;&nbsp;
                      </span>
                      <span *ngIf="aclEdit" matTooltip="Delete">
                        <a (click)="openDialog(point._id)">
                          <i aria-hidden="true" class="fa fa-trash text-navy"></i>
                        </a>
                      </span>
                    </td>
                  </tr>

                </tbody>
              </table>
              <br>
              <br>

              <div class="container-fluid" *ngIf="faqLength>0">
                <div class="row col-md-12 text-center">
                  <div class="dataTables_info1">
                    <div>
                      <ngb-pagination [collectionSize]="faqLength" (pageChange)="pagingAgent($event)" [page]="1"
                        [pageSize]="itemsPerPage" aria-label="Default pagination" [maxSize]="5" [boundaryLinks]="true"></ngb-pagination>
                    </div>
                  </div>
                </div>
              </div>
              <div class="container-fluid" *ngIf="faqLength==0">
                <div class="row">
                  <div class="dataTables_info1">
                    <div class="col-md-4 form-group" style="text-align:center;margin-left:32%">
                      No records found.
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
